Patchwork file: remove obsolete version check patch

login
register
mail settings
Submitter Jonathan Liu
Date May 31, 2013, 4:11 a.m.
Message ID <1369973500-13042-1-git-send-email-net147@gmail.com>
Download mbox | patch
Permalink /patch/50911/
State Accepted
Commit f89f705da9bffd9d10628e90a415db4411d22b4e
Headers show

Comments

Jonathan Liu - May 31, 2013, 4:11 a.m.
After e8d2a2a3646f964ec61ece62e14788cd7184dd01 [OE-Core], file --version
returns file-5.14 instead of file.real-5.14 so the patch is no longer
necessary and causes the build to fail with the following:
| Cannot use the installed version of file (file-5.14) to
| cross-compile file 5.14
| Please install file 5.14 locally first

Signed-off-by: Jonathan Liu <net147@gmail.com>
---
 .../file/file/fix_version_check.patch               | 21 ---------------------
 meta/recipes-devtools/file/file_5.14.bb             |  1 -
 2 files changed, 22 deletions(-)
 delete mode 100644 meta/recipes-devtools/file/file/fix_version_check.patch

Patch

diff --git a/meta/recipes-devtools/file/file/fix_version_check.patch b/meta/recipes-devtools/file/file/fix_version_check.patch
deleted file mode 100644
index bd24ccb..0000000
--- a/meta/recipes-devtools/file/file/fix_version_check.patch
+++ /dev/null
@@ -1,21 +0,0 @@ 
-Since we are cross-compiling and need to have a cover script this
-version check sees "file.real-5.09" not "file-5.09", so fix the
-sed.
-
-Upstream-Status: Inapproriate [build-specific]
-
-Signed-off-by: Saul Wold <sgw@linux.intel.com>
-
-Index: file-5.09/magic/Makefile.am
-===================================================================
---- file-5.09.orig/magic/Makefile.am
-+++ file-5.09/magic/Makefile.am
-@@ -260,7 +260,7 @@ ${MAGIC}: $(EXTRA_DIST) $(FILE_COMPILE_D
- 	@(if expr "${FILE_COMPILE}" : '.*/.*' > /dev/null; then \
- 	    echo "Using ${FILE_COMPILE} to generate ${MAGIC}" > /dev/null; \
- 	  else \
--	    v=$$(file --version | sed -e s/file-// -e q); \
-+	    v=$$(file --version | sed -e s/file.real-// -e q); \
- 	    if [ "$$v" != "${PACKAGE_VERSION}" ]; then \
- 		echo "Cannot use the installed version of file ($$v) to"; \
- 		echo "cross-compile file ${PACKAGE_VERSION}"; \
diff --git a/meta/recipes-devtools/file/file_5.14.bb b/meta/recipes-devtools/file/file_5.14.bb
index 4270ff2..c8b902c 100644
--- a/meta/recipes-devtools/file/file_5.14.bb
+++ b/meta/recipes-devtools/file/file_5.14.bb
@@ -13,7 +13,6 @@  DEPENDS_class-native = "zlib-native"
 PR = "r0"
 
 SRC_URI = "ftp://ftp.astron.com/pub/file/file-${PV}.tar.gz \
-           file://fix_version_check.patch \
            file://dump \
            file://filesystems"